    # File lib/ramaze/cache/memcache.rb, line 80
          def cache_store(key, value, options = {})
            ttl = options[:ttl] || 0

            if ttl > MAX_TTL
              unless @warned
                Log.warn('MemCache cannot set a ttl greater than 2592000 seconds.')
                Log.warn('Modify Ramaze.options.session.ttl to a value <= of that.')
                @warned = true
              end

              ttl = MAX_TTL
            end

            @store.set(key, value, ttl)
            value
          rescue ::MemCache::MemCacheError => e
            Log.error(e)
            nil
          end